#
# spec file for package mp3gain
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2012 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define realversion 1_6_2
Name:           mp3gain
Version:        1.6.2
Release:        2.14
Summary:        MP3 Volume Normalizer based on Replay Gain
License:        LGPL-2.1-or-later
Group:          Productivity/Multimedia/Sound/Editors and Convertors
URL:            http://mp3gain.sourceforge.net/
Source:         https://downloads.sourceforge.net/project/mp3gain/mp3gain/%{version}/mp3gain-%{realversion}-src.zip
Source1:        %{name}.1.gz
# PATCH-FIX-UPSTREAM 0001-fix-security-bugs.patch boo#1154971
Patch0:         0001-fix-security-bugs.patch
BuildRequires:  pkgconfig
BuildRequires:  unzip
BuildRequires:  pkgconfig(libmpg123)

%description
MP3Gain analyzes and adjusts mp3 files so that they have the same volume.
It does not just do peak normalization, as many normalizers do. Instead,
it does some statistical analysis to determine how loud the file actually
sounds to the human ear. Also, the changes MP3Gain makes are completely
lossless. There is no quality lost in the change because the program
adjusts the mp3 file directly, without decoding and re-encoding.

%prep
%setup -q -c %{name}-%{version}
%patch0 -p2

%build
export CFLAGS="%{optflags}"
%make_build

%install
install -D -m 0755 mp3gain %{buildroot}%{_bindir}/mp3gain
install -D -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1.gz

%files
%license lgpl.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Sat Apr 11 2020 Andreas Stieger <andreas.stieger@gmx.de>
- fix source validator and mark license file as license text
* Sun Apr  5 2020 Jason Craig <os-dev@jacraig.com>
- Add 0001-fix-security-bugs.patch to fix CVE-2019-18359 and other
  crashes. boo#1154971
* Wed May 30 2018 aloisio@gmx.com
- Update to version 1.6.2
- Dropped mp3gain-1.6.1-libmpg123_fixup.patch,
  mp3gain-1.6.1-fix_warnings.patch and
  mp3gain-1.6.1-fix-CVE-2017-12911.patch (merged upstream)
* Sat Feb 10 2018 aloisio@gmx.com
- Added mp3gain-1.6.1-fix-CVE-2017-12911.patch
* Sun Feb  4 2018 aloisio@gmx.com
- Dropped mp3gain-makefile-optflags.diff (no longer necessary)
- Replaced mp3gain-exit_if_cannot_parse.patch with
  mp3gain-1.6.1-libmpg123_fixup.patch and
  mp3gain-implicit_declarations.patch with
  mp3gain-1.6.1-fix_warnings.patch
- Refreshed mp3gain.1.gz
* Thu Feb  1 2018 aloisio@gmx.com
- Update to version 1.6.1
  * Link to current libmpg123 instead of the hacked old version
    thereof
- Drop gpl-2.0.txt as source (package can be shipped as lgpl2.1+
  now)
- Add mp3gain-implicit_declarations.patch
- Add mp3gain-exit_if_cannot_parse.patch (hotfix)
* Thu Aug 24 2017 aloisio@gmx.com
- Set correct license (GPL-2.0+) and replaced source2 with its
  text instead
* Fri Aug 18 2017 aloisio@gmx.com
- Cleaned up buildrequires
* Fri Aug 18 2017 aloisio@gmx.com
- Spec cleanup
* Tue May 29 2012 p.seiler@linuxmail.org
- changed the gpl LICENSE file to v2.1
- made a few spec file cleanups for future releases
* Tue May 29 2012 p.seiler@linuxmail.org
- extracted missing manpage from
  http://ftp.us.debian.org/debian/pool/main/m/mp3gain/mp3gain_1.5.2-r2-2_amd64.deb
- added this new LICENSE file because of this warning:
  mp3gain.x86_64: W: incorrect-fsf-address /usr/share/doc/packages/mp3gain/lgpl.txt
  The Free Software Foundation address in this file seems to be outdated or
  misspelled.  Ask upstream to update the address, or if this is a license file,possibly the entire file with a new copy available from the FSF.
* Wed Aug 25 2010 detlef@links2linux.de
- new upstream version 1.5.2-r2
* Tue Aug  3 2010 detlef@links2linux.de
- new upstream version 1.5.2
* Tue Oct 30 2007 guru@unixtech.be
- moved to Packman
* Mon May  8 2006 guru@unixtech.be
- new upstream version
- rewrote spec file
